nxt.http.callers

## Class GetAccountLedgerCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetAccountLedgerCall>
  - - nxt.http.callers.GetAccountLedgerCall

-     public class GetAccountLedgerCall
      extends APICall.Builder<GetAccountLedgerCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetAccountLedgerCall` | `account(long account)`
    `GetAccountLedgerCall` | `account(java.lang.String account)`
    `GetAccountLedgerCall` | `adminPassword(java.lang.String adminPassword)`
    `static GetAccountLedgerCall` | `create()`
    `GetAccountLedgerCall` | `event(long event)`
    `GetAccountLedgerCall` | `event(java.lang.String event)`
    `GetAccountLedgerCall` | `eventType(java.lang.String eventType)`
    `GetAccountLedgerCall` | `firstIndex(int firstIndex)`
    `GetAccountLedgerCall` | `holding(long holding)`
    `GetAccountLedgerCall` | `holding(java.lang.String holding)`
    `GetAccountLedgerCall` | `holdingType(byte holdingType)`
    `GetAccountLedgerCall` | `includeHoldingInfo(boolean includeHoldingInfo)`
    `GetAccountLedgerCall` | `includeTransactions(boolean includeTransactions)`
    `GetAccountLedgerCall` | `lastIndex(int lastIndex)`
    `GetAccountLedgerCall` | `requireBlock(java.lang.String requireBlock)`
    `GetAccountLedgerCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetAccountLedgerCall create()

    - #### requireLastBlock

          public GetAccountLedgerCall requireLastBlock(java.lang.String requireLastBlock)

    - #### includeTransactions

          public GetAccountLedgerCall includeTransactions(boolean includeTransactions)

    - #### holding

          public GetAccountLedgerCall holding(java.lang.String holding)

    - #### holding

          public GetAccountLedgerCall holding(long holding)

    - #### firstIndex

          public GetAccountLedgerCall firstIndex(int firstIndex)

    - #### includeHoldingInfo

          public GetAccountLedgerCall includeHoldingInfo(boolean includeHoldingInfo)

    - #### holdingType

          public GetAccountLedgerCall holdingType(byte holdingType)

    - #### eventType

          public GetAccountLedgerCall eventType(java.lang.String eventType)

    - #### lastIndex

          public GetAccountLedgerCall lastIndex(int lastIndex)

    - #### event

          public GetAccountLedgerCall event(java.lang.String event)

    - #### event

          public GetAccountLedgerCall event(long event)

    - #### account

          public GetAccountLedgerCall account(java.lang.String account)

    - #### account

          public GetAccountLedgerCall account(long account)

    - #### requireBlock

          public GetAccountLedgerCall requireBlock(java.lang.String requireBlock)

    - #### adminPassword

          public GetAccountLedgerCall adminPassword(java.lang.String adminPassword)